Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-1.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-1.rspec	(revision 3441)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="192.168.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="192.168.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-2.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-2.rspec	(revision 3441)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-3.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/GWU/EG-CT-3.rspec	(revision 3441)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="192.168.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="gwu" component_manager_id="urn:publicid:IDN+exogeni.net:gwuvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  </sliver_type>
+  <interface client_id="gwu:0" >
+   <ip address="192.168.1.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="gwu:0" />
+</link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-1.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-1.rspec	(revision 3441)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="192.168.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="192.168.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-2.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-2.rspec	(revision 3441)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-3.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/PSC/EG-CT-3.rspec	(revision 3441)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="192.168.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="psc" component_manager_id="urn:publicid:IDN+exogeni.net:pscvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  </sliver_type>
+  <interface client_id="psc:0" >
+   <ip address="192.168.1.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="psc:0" />
+</link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-1.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-1.rspec	(revision 3441)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="192.168.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="192.168.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-2.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-2.rspec	(revision 3441)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-3.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UAF/EG-CT-3.rspec	(revision 3441)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="192.168.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="uaf" component_manager_id="urn:publicid:IDN+exogeni.net:uafvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  </sliver_type>
+  <interface client_id="uaf:0" >
+   <ip address="192.168.1.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="uaf:0" />
+</link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-1.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-1.rspec	(revision 3441)
@@ -0,0 +1,46 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+   <interface client_id="VM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-2" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-3" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-3:if0">
+     <ip address="192.168.1.3" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="VM-4" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-4:if0">
+    <ip address="192.168.1.4" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <interface_ref client_id="VM-2:if0"/>
+    <interface_ref client_id="VM-3:if0"/>
+    <interface_ref client_id="VM-4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-2.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-2.rspec	(revision 3441)
@@ -0,0 +1,32 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="BM-1" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+    <sliver_type name="exogeni-m4" >
+     </sliver_type>
+    <interface client_id="BM-1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+ <node client_id="VM-1" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm" >
+     <sliver_type name="m1.large">
+     </sliver_type>
+    <interface client_id="VM-1:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" />
+     </interface>
+  </node>
+
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm"/>
+    <interface_ref client_id="BM-1:if0"/>
+    <interface_ref client_id="VM-1:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-3.rspec	(revision 3441)
+++ /trunk/GENIRacks/ExoGENI/Spiral5/RSpecs/ConfirmationTests/UMASS/EG-CT-3.rspec	(revision 3441)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	          	    http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.protogeni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.protogeni.net/resources/rspec/ext/shared-vlan/1"
+	xmlns="http://www.geni.net/resources/rspec/3">
+
+<node client_id="gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+cm">
+ <sliver_type name="m1.large">
+ </sliver_type>
+ <interface client_id="gpo:0">
+    <ip address="192.168.1.1" netmask="255.255.255.0" />
+ </interface>
+</node>
+<node client_id="umass" component_manager_id="urn:publicid:IDN+exogeni.net:umassvmsite+authority+cm">
+  <sliver_type name="m1.large">
+  </sliver_type>
+  <interface client_id="umass:0" >
+   <ip address="192.168.1.2" netmask="255.255.255.0" />
+  </interface>
+</node>
+<link client_id="link">
+  <interface_ref client_id="gpo:0" />
+  <interface_ref client_id="umass:0" />
+</link>
+</rspec>