Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-1.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-1.rspec	(revision 3444)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-1.rspec	(revision 3444)
@@ -0,0 +1,45 @@
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="xen1" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen1:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen2" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen2:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen3" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen3:if0">
+      <ip address="192.168.1.3" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="xen4" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="xen4:if0">
+      <ip address="192.168.1.4" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.hawaii.edu+authority+cm"/>
+    <interface_ref client_id="xen1:if0"/>
+    <interface_ref client_id="xen2:if0"/>
+    <interface_ref client_id="xen3:if0"/>
+    <interface_ref client_id="xen4:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-2.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-2.rspec	(revision 3444)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-2.rspec	(revision 3444)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+ <node client_id="VM" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="VM:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="PC" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="true">
+   <sliver_type name="raw-pc"> </sliver_type>
+    <interface client_id="PC:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="lan0">
+    <component_manager name="urn:publicid:IDN+instageni.hawaii.edu+authority+cm"/>
+    <interface_ref client_id="VM:if0"/>
+    <interface_ref client_id="PC:if0"/>
+    <link_type name="lan"/>
+  </link>
+</rspec>
Index: /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-3.rspec
===================================================================
--- /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-3.rspec	(revision 3444)
+++ /trunk/GENIRacks/InstaGENI/Spiral5/RSpecs/ConfirmationTests/HAWAII/IG-CT-3.rspec	(revision 3444)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec xmlns="http://www.geni.net/resources/rspec/3"
+       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+       xsi:schemaLocation="http://www.geni.net/resources/rspec/3
+                           http://www.geni.net/resources/rspec/3/request.xsd" 
+       type="request">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.nysernet.org+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ha" component_manager_id="urn:publicid:IDN+instageni.hawaii.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ha:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="gre-tunnel0">
+    <component_manager name="urn:publicid:IDN+instageni.nysernet.org+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+instageni.hawaii.edu+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-ha:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-ha:if0"/>
+    <property source_id="ig-ha:if0" dest_id="ig-gpo:if0"/>
+    <link_type name="egre-tunnel"/>
+  </link>
+</rspec>