Index: trunk/stitch-examples/WSU/EG-ST-1.rspec
===================================================================
--- trunk/stitch-examples/WSU/EG-ST-1.rspec	(revision 3448)
+++ trunk/stitch-examples/WSU/EG-ST-1.rspec	(revision 3448)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="eg-wsu" component_manager_id="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm" exclusive="false">
+    <sliver_type name="m1.large"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="eg-wsu:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="eg-wsu:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-wsu:if0" />
+    <property source_id="eg-wsu:if0" dest_id="ig-gpo:if0" />
+  </link>
+</rspec>
Index: trunk/stitch-examples/WSU/EG-ST-2.rspec
===================================================================
--- trunk/stitch-examples/WSU/EG-ST-2.rspec	(revision 3448)
+++ trunk/stitch-examples/WSU/EG-ST-2.rspec	(revision 3448)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-gpo:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="eg-wsu" component_manager_id="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm" exclusive="false">
+    <sliver_type name="m1.small"/>
+    <interface client_id="eg-wsu:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="eg-wsu:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="eg-wsu:if0"/>
+    <property source_id="ig-gpo:if0" dest_id="eg-wsu:if0" capacity="20000"/>
+    <property source_id="eg-wsu:if0" dest_id="ig-gpo:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if1"/>
+    <interface_ref client_id="eg-wsu:if1"/>
+    <property source_id="ig-gpo:if1" dest_id="eg-wsu:if1" capacity="20000"/>
+    <property source_id="eg-wsu:if1" dest_id="ig-gpo:if1" capacity="20000"/>
+  </link>
+</rspec>
Index: trunk/stitch-examples/WSU/EG-ST-3.rspec
===================================================================
--- trunk/stitch-examples/WSU/EG-ST-3.rspec	(revision 3448)
+++ trunk/stitch-examples/WSU/EG-ST-3.rspec	(revision 3448)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-gpo" component_manager_id="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-gpo:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-utah" component_manager_id="urn:publicid:IDN+utah.geniracks.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-openvz"/>
+   <services> <execute command="sudo sed -i -e '4s/#baseurl/baseurl/' /etc/yum.repos.d/fedora.repo;sudo yum install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-utah:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-wsu" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+cm" exclusive="false">
+    <sliver_type name="m1.small"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-wsu:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-wsu:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+utah.geniracks.net+authority+cm"/>
+    <interface_ref client_id="ig-utah:if0"/>
+    <interface_ref client_id="ig-wsu:if0"/>
+    <property source_id="ig-wsu:if0" dest_id="ig-utah:if0" />
+    <property source_id="ig-utah:if0" dest_id="ig-wsu:if0" />
+  </link>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <interface_ref client_id="ig-gpo:if0"/>
+    <interface_ref client_id="ig-wsu:if1"/>
+    <property source_id="ig-gpo:if0" dest_id="ig-wsu:if1" />
+    <property source_id="ig-wsu:if1" dest_id="ig-gpo:if0" />
+  </link>
+
+</rspec>
Index: trunk/stitch-examples/WSU/EG-ST-4.rspec
===================================================================
--- trunk/stitch-examples/WSU/EG-ST-4.rspec	(revision 3448)
+++ trunk/stitch-examples/WSU/EG-ST-4.rspec	(revision 3448)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?> <rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-gpo" component_manager_id="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am">
+    <sliver_type name="m1.small"/>
+   <interface client_id="eg-gpo:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="eg-wsu" component_manager_id="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm" >
+    <sliver_type name="m1.small"/>
+    <interface client_id="eg-wsu:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eggpo-egwsu">
+    <component_manager name="urn:publicid:IDN+exogeni.net:bbnvmsite+authority+am"/>
+    <interface_ref client_id="eg-gpo:if0"/>
+    <property source_id="eg-gpo:if0" dest_id="eg-wsu:if0" />
+    <component_manager name="urn:publicid:IDN+exogeni.net:wsuvmsite+authority+cm"/>
+    <interface_ref client_id="eg-wsu:if0"/>
+    <property source_id="eg-wsu:if0" dest_id="eg-gpo:if0" />
+  </link>
+</rspec>