Index: trunk/stitch-examples/GPO-IGN/IG-ST-1.rspec
===================================================================
--- trunk/stitch-examples/GPO-IGN/IG-ST-1.rspec	(revision 3453)
+++ trunk/stitch-examples/GPO-IGN/IG-ST-1.rspec	(revision 3453)
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-sox" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-sox:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ign" component_manager_id="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ign:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-sox:if0"/>
+    <interface_ref client_id="ig-ign:if0"/>
+    <property source_id="ig-sox:if0" dest_id="ig-ign:if0" />
+    <property source_id="ig-ign:if0" dest_id="ig-sox:if0" />
+  </link>
+</rspec>
Index: trunk/stitch-examples/GPO-IGN/IG-ST-2.rspec
===================================================================
--- trunk/stitch-examples/GPO-IGN/IG-ST-2.rspec	(revision 3453)
+++ trunk/stitch-examples/GPO-IGN/IG-ST-2.rspec	(revision 3453)
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?> <rspec type="request" 
+        xmlns="http://www.geni.net/resources/rspec/3" 
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+        http://www.geni.net/resources/rspec/3/request.xsd">
+
+  <node client_id="ig-sox" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-sox:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-sox:if1">
+      <ip address="10.10.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ign" component_manager_id="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+    <interface client_id="ig-ign:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ign:if1">
+      <ip address="10.10.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-sox:if0"/>
+    <interface_ref client_id="ig-ign:if0"/>
+    <property source_id="ig-sox:if0" dest_id="ig-ign:if0" capacity="20000"/>
+    <property source_id="ig-ign:if0" dest_id="ig-sox:if0" capacity="20000"/>
+  </link>
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-sox:if1"/>
+    <interface_ref client_id="ig-ign:if1"/>
+    <property source_id="ig-sox:if1" dest_id="ig-ign:if1" capacity="20000"/>
+    <property source_id="ig-ign:if1" dest_id="ig-sox:if1" capacity="20000"/>
+  </link>
+</rspec>
Index: trunk/stitch-examples/GPO-IGN/IG-ST-3.rspec
===================================================================
--- trunk/stitch-examples/GPO-IGN/IG-ST-3.rspec	(revision 3453)
+++ trunk/stitch-examples/GPO-IGN/IG-ST-3.rspec	(revision 3453)
@@ -0,0 +1,52 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:flack="http://www.protogeni.net/resources/rspec/ext/flack/1" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="ig-sox" component_manager_id="urn:publicid:IDN+instageni.sox.net+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-sox:if0">
+      <ip address="192.168.2.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-cw" component_manager_id="urn:publicid:IDN+geni.case.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+     <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-cw:if0">
+      <ip address="192.168.4.1" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <node client_id="ig-ign" component_manager_id="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ign:if0">
+      <ip address="192.168.4.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+    <interface client_id="ig-ign:if1">
+      <ip address="192.168.2.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+
+  <link client_id="link1">
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+geni.case.edu+authority+cm"/>
+    <interface_ref client_id="ig-cw:if0"/>
+    <interface_ref client_id="ig-ign:if0"/>
+    <property source_id="ig-ign:if0" dest_id="ig-cw:if0" capacity="20000" />
+    <property source_id="ig-cw:if0" dest_id="ig-ign:if0" capacity="20000" />
+  </link>
+  <link client_id="link">
+    <component_manager name="urn:publicid:IDN+instageni.sox.net+authority+cm"/>
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-sox:if0"/>
+    <interface_ref client_id="ig-ign:if1"/>
+    <property source_id="ig-sox:if0" dest_id="ig-ign:if1" />
+    <property source_id="ig-ign:if1" dest_id="ig-sox:if0" />
+  </link>
+
+</rspec>
Index: trunk/stitch-examples/GPO-IGN/IG-ST-4.rspec
===================================================================
--- trunk/stitch-examples/GPO-IGN/IG-ST-4.rspec	(revision 3453)
+++ trunk/stitch-examples/GPO-IGN/IG-ST-4.rspec	(revision 3453)
@@ -0,0 +1,29 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+	xmlns="http://www.geni.net/resources/rspec/3" 
+	xmlns:planetlab="http://www.planet-lab.org/resources/sfa/ext/planetlab/1" 
+	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+	http://www.geni.net/resources/rspec/3/request.xsd">  
+
+  <node client_id="eg-tamu" component_manager_id="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+am">
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+  <sliver_type name="m1.small"/>
+   <interface client_id="eg-tamu:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" />
+    </interface>
+  </node>
+  <node client_id="ig-ign" component_manager_id="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm" >
+    <sliver_type name="emulab-xen"/>
+   <services> <execute command="sudo apt-get install iperf -y" shell="sh"/> </services>
+    <interface client_id="ig-ign:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4"/>
+    </interface>
+  </node>
+  <link client_id="link-eg-ig">
+    <component_manager name="urn:publicid:IDN+exogeni.net:tamuvmsite+authority+am"/>
+    <interface_ref client_id="eg-tamu:if0"/>
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <interface_ref client_id="ig-ign:if0"/>
+  </link>
+</rspec>
Index: trunk/stitch-examples/GPO-IGN/IG-ST-6.rspec
===================================================================
--- trunk/stitch-examples/GPO-IGN/IG-ST-6.rspec	(revision 3453)
+++ trunk/stitch-examples/GPO-IGN/IG-ST-6.rspec	(revision 3453)
@@ -0,0 +1,34 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<rspec type="request" 
+        xsi:schemaLocation="http://www.geni.net/resources/rspec/3 
+                            http://www.geni.net/resources/rspec/3/request.xsd
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1
+                            http://www.geni.net/resources/rspec/ext/shared-vlan/1/request.xsd"
+        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+        xmlns:s="http://www.geni.net/resources/rspec/ext/shared-vlan/1"
+        xmlns:emulab="http://www.protogeni.net/resources/rspec/ext/emulab/1"
+        xmlns="http://www.geni.net/resources/rspec/3">
+  <node client_id="ig-ign" component_manager_id="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-ign:if0">
+      <ip address="192.168.1.1" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <node client_id="ig-ga" component_manager_id="urn:publicid:IDN+instageni.rnoc.gatech.edu+authority+cm" exclusive="false">
+    <sliver_type name="emulab-xen" />
+    <interface client_id="ig-ga:if0">
+      <ip address="192.168.1.2" netmask="255.255.255.0" type="ipv4" />
+    </interface>
+  </node>
+
+  <link client_id="link-ign-ga">
+    <component_manager name="urn:publicid:IDN+usignite.gpolab.bbn.com+authority+cm"/>
+    <property source_id="ig-ign:if0" dest_id="ig-ga:if0" capacity="20000"/>
+    <interface_ref client_id="ig-ign:if0" />
+    <component_manager name="urn:publicid:IDN+instageni.rnoc.gatech.edu+authority+cm"/>
+    <property source_id="ig-ga:if0" dest_id="ig-ign:if0" capacity="20000"/>
+    <interface_ref client_id="ig-ga:if0" />
+    <emulab:openflow_controller url="tcp:128.95.190.50:6636" />
+  </link>
+</rspec>